'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _child_process = require('child_process');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  rules: {
    'show-errors': function showErrors(context) {
      return {
        Program: function Program() {
          var collected = (0, _child_process.execSync)('node ' + _path2.default.join(__dirname, './collect.js'));
          var parsedJSONArray = JSON.parse(collected);

          function collectFlowErrors() {
            try {
              return parsedJSONArray.filter(function (each) {
                return each.path === context.getFilename();
              });
            } catch (err) {
              console.log(err);
              return [];
            }
          }

          var pluginErrors = collectFlowErrors();

          pluginErrors.forEach(function (_ref) {
            var loc = _ref.loc;
            var message = _ref.message;

            context.report({
              loc: {
                start: {
                  line: loc.start.line
                }
              },
              message: message
            });
          });
        }
      };
    }
  }
};
module.exports = exports['default'];